lkml.org 
[lkml]   [2016]   [Aug]   [25]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: CVE-2014-9900 fix is not upstream
From
Date

> struct ethtool_wolinfo {
>         __u32   cmd;
>         __u32   supported;
>         __u32   wolopts;
>         __u8    sopass[SOPASS_MAX];     // 6, actually
> };
>
> we could do
>
> struct ethtool_wolinfo {
>         __u32   cmd;
>         __u32   supported;
>         __u32   wolopts;
>         __u8    sopass[SOPASS_MAX];     // 6, actually
> __u8 reserved[2];
> };
>
> and then the compiler has to properly treat it, since it's no longer
> unnamed padding.
>

Although, on some architectures, that could actually break the ABI by
changing the size, oh well.

johannes

\
 
 \ /
  Last update: 2016-09-17 09:57    [W:0.048 / U:0.556 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site